import { ServiceJsonRpcDescriptor } from './ServiceJsonRpcDescriptor';
/**
 * Exposes common RPC descriptors to be used with service brokers
 */
export declare class FrameworkServices {
    /**
     * A remote service broker to be used to construct RPC objects and request services
     * Use {@linkcode IRemoteServiceBroker} as the interface for calling or implementing this service.
     */
    static remoteServiceBroker: Readonly<ServiceJsonRpcDescriptor>;
    /**
     * An authorization service descriptor, to be used to request an authorization service.
     * Use {@linkcode IAuthorizationService} as the interface for calling or implementing this service.
     */
    static authorization: Readonly<ServiceJsonRpcDescriptor>;
}
