/**
 * Information about how to connect to a remote service
 */
export interface RemoteServiceConnectionInfo {
    /**
     * The request GUID associated with the remote service connection request
     */
    requestId?: string;
    /**
     * The id of the multiplexing channel that is open for connection
     */
    multiplexingChannelId?: number;
    /**
     * The name of the pipe that is open for connection.
     */
    pipeName?: string;
}
export declare namespace RemoteServiceConnectionInfo {
    /**
     * Indicates if there exists remote service connection information
     * @param info The RemoteServiceConnectionInfo to look into.
     */
    function isEmpty(info: RemoteServiceConnectionInfo): boolean;
    /**
     * Checks if a remote service connection is of one of the provided types
     * @param info The RemoteServiceConnectionInfo to look into.
     * @param connections The connections to check against
     */
    function isOneOf(info: RemoteServiceConnectionInfo, connections: string): boolean;
}
