/**
 * Describes the service that is being requested
 */
export interface ServiceMoniker {
    /** The well-known name of the service being requested. */
    name: string;
    /** The version of the service being requested. */
    version?: string;
}
export declare namespace ServiceMoniker {
    /**
     * Creates a new, immutable ServiceMoniker.
     * @param name The name of the service.
     * @param version An optional version for the service.
     */
    function create(name: string, version?: string): Readonly<ServiceMoniker>;
    /**
     * Tests value equality of two monikers.
     * @param moniker1 The first moniker.
     * @param moniker2 The second moniker.
     */
    function equals(moniker1?: ServiceMoniker | null, moniker2?: ServiceMoniker | null): boolean;
}
