/**
 * Represents the format to use in encoding messages
 */
export declare enum Formatters {
    Utf8 = 0,
    MessagePack = 1
}
/**
 * Represents the delimiter to use in separating messages
 */
export declare enum MessageDelimiters {
    HttpLikeHeaders = 0,
    BigEndianInt32LengthHeader = 1
}
/**
 * Represents the connection formats to a service. Multiple values of this enum can be applied at once,
 * see https://stackoverflow.com/questions/39359740/what-are-enum-flags-in-typescript for more info
 */
export declare enum RemoteServiceConnections {
    None = 0,
    Multiplexing = 1,
    IpcPipe = 2,
    ClrActivation = 8
}
/**
 * Gets a string representing the name emitted for the "AvailabilityChanged" event.
 */
export declare const availabilityChangedEvent: string;
