import { ControlCode } from "./ControlCode";
export declare class FrameHeader {
    /**
     * Gets the kind of frame this is.
     */
    readonly code: ControlCode;
    /**
     * Gets the channel that this frame refers to or carries a payload for.
     */
    readonly channelId?: number;
    /**
    * Gets the channel that this frame refers to or carries a payload for.
    */
    get requiredChannelId(): number;
    /**
     * Initializes a new instance of the `FrameHeader` class.
     * @param code the kind of frame this is.
     * @param channelId the channel that this frame refers to or carries a payload for.
     */
    constructor(code: ControlCode, channelId?: number);
}
